function calcula_fft()
    cargaDatos('CurvaECG.xlsx'); 
    L=250;
    Fs=250;

    %RUIDO SENOIDAL
    frec=50;
    seno=calculo_frecuencia(frec);
    seno=seno';
    tensionR=seno+tension(1:250);
    
    tic
    senal_filtrada1=filtrar_senal_con_filtros(tensionR(1:250));
    toc
    senal_filtrada2=filtrar_senal_con_Wavelet(tensionR(1:250));
    toc
    
    NFFT = 2^nextpow2(L); 
    Y = fft(tensionR,NFFT)/L;
    f = Fs/2*linspace(0,1,NFFT/2+1);
    x=2*abs(Y(1:NFFT/2+1));
    
    Z = fft(senal_filtrada1,NFFT)/L;
    ZX=2*abs(Z(1:NFFT/2+1));
    
    M = fft(senal_filtrada2,NFFT)/L;
    MX=2*abs(M(1:NFFT/2+1));
    
    plot(f,x);hold on;plot(f,ZX,'r');hold on;plot(f,MX,'g'); 
    title('Espectro frecuencial de la onda simulada con ruido senoidal de 50 Hz')
    xlabel('Frecuencia (Hz)')
    ylabel('|Y(f)|')
    
    %FILTRADO DE LA SEAL MEDIANTE PASO BAJO...
    function senal_filtrada=filtrar_senal_con_filtros(senal_entrada)
        %Definimos los parmetros del filtro
        d = fdesign.lowpass('Fp,Fst,Ap,Ast',0.2, 0.4, 0.1, 80);
        %Diseamos el filtro paso bajo
        f = design(d, 'butter');
        %Filtramos con la seal de entrada
        output1=filter(f,senal_entrada);
       
        %Dibujamos la seal de entrada y la seal filtrada
        %figure(1);subplot(3,1,1);plot(tension(1:250));
        %title('Seal original');
        %subplot(3,1,2);plot(senal_entrada);
        %title('Seal con ruido senoidal de 50 Hz')
        %subplot(3,1,3);plot(output1,'r');
        %title('Seal filtrada con filtro paso bajo')
        senal_filtrada=output1;
    end

    %CLCULO DE LA FRECUENCIA
    function seno=calculo_frecuencia(fmax)
        l=0:0.1:24.9;
        seno=sin(2*pi*fmax*l*0.04);
    end

    %FILTRADO DE LA SEAL MEDIANTE WAVELET...
    function senal_filtrada=filtrar_senal_con_Wavelet(senal_entrada)
        % Descomponemos la seal en 7 niveles con la familia y parmetros wavelet:
        %w='haar';
        w='db9'; 
        %w='db10';  
        %w='bior6.8'
        m=4;
        %for m=1:1
            [c,l] = wavedec(senal_entrada,m,w);
            %reconstruimos la seal con x niveles
            senal_filtrada_wavelet = wrcoef('a',c,l,w,m);
            %Dibujamos la seal de entrada superpuesta a la seal filtrada
            %figure();plot(senal_entrada);hold on;plot(senal_filtrada_wavelet,'r');
            senal_filtrada=senal_filtrada_wavelet;
            %numSNR=snr(tension(1:256),senal_filtrada-tension(1:256))
        %end
    end
    
    function cargaDatos(nombreArchivo)
        tiempo=xlsread(nombreArchivo,1,'A2:A15002');
        tension=xlsread(nombreArchivo,1,'B2:B15002');
        %plot(tiempo,tension);
    end
end