function comparacion_filtrado()
    cargaDatos('CurvaECG.xlsx'); 
    
    %RUIDO GAUSSIANO
    %rsn=10*log10((1/0.1)^2); 
    %rsn=10*log10((1/0.2)^2);
    %rsn=10*log10((1/0.3)^2);
    %senal_ruidosa=awgn(tension,rsn);
    
    %RUIDO SENOIDAL
    frec=50;
    seno=calculo_frecuencia(frec);
    seno=seno';
    tensionR=seno+tension(1:250);
    
    senal_filtrada1=filtrar_senal_con_filtros(tensionR(1:250));
    
    senal_filtrada2=filtrar_senal_con_Wavelet(tensionR(1:250));
    
    %Dibujamos la seal de entrada y la seal filtrada
    figure(1);plot(tensionR(1:250));
   
    hold on;plot(senal_filtrada1(1:250),'r');
   
    hold on;plot(senal_filtrada2(1:250),'g');
    title('Comparacin entre las dos tcnicas de filtrado')
    
    %FILTRADO DE LA SEAL MEDIANTE PASO BAJO...
    function senal_filtrada=filtrar_senal_con_filtros(senal_entrada)
        %Definimos los parmetros del filtro
        d = fdesign.lowpass('Fp,Fst,Ap,Ast',0.2, 0.4, 0.1, 80);
        %Diseamos el filtro paso bajo
        f = design(d, 'butter');
        %Filtramos con la seal de entrada
        output1=filter(f,senal_entrada);
       
        %Dibujamos la seal de entrada y la seal filtrada
        %figure(1);subplot(3,1,1);plot(tension(1:250));
        %title('Seal original');
        %subplot(3,1,2);plot(senal_entrada);
        %title('Seal con ruido senoidal de 50 Hz')
        %subplot(3,1,3);plot(output1,'r');
        %title('Seal filtrada con filtro paso bajo')
        senal_filtrada=output1;
    end

    %CLCULO DE LA FRECUENCIA
    function seno=calculo_frecuencia(fmax)
        l=0:0.1:24.9;
        seno=sin(2*pi*fmax*l*0.04);
    end

    %FILTRADO DE LA SEAL MEDIANTE WAVELET...
    function senal_filtrada=filtrar_senal_con_Wavelet(senal_entrada)
        % Descomponemos la seal en 7 niveles con la familia y parmetros wavelet:
        %w='haar';
        w='db9'; 
        %w='db10';  
        %w='bior6.8'
        m=4;
        %for m=1:1
            [c,l] = wavedec(senal_entrada,m,w);
            %reconstruimos la seal con x niveles
            senal_filtrada_wavelet = wrcoef('a',c,l,w,m);
            %Dibujamos la seal de entrada superpuesta a la seal filtrada
            %figure();plot(senal_entrada);hold on;plot(senal_filtrada_wavelet,'r');
            senal_filtrada=senal_filtrada_wavelet;
            %numSNR=snr(tension(1:256),senal_filtrada-tension(1:256))
        %end
    end

    function cargaDatos(nombreArchivo)
        tiempo=xlsread(nombreArchivo,1,'A2:A15002');
        tension=xlsread(nombreArchivo,1,'B2:B15002');
        %plot(tiempo,tension);
    end
end