function filtrado_Wavelet()
    cargaDatos('CurvaECG.xlsx'); 
    
    %RUIDO GAUSSIANO
    rsn=10*log10((1/0.1)^2); 
    %rsn=10*log10((1/0.2)^2);
    %rsn=10*log10((1/0.3)^2);
    senal_ruidosa=awgn(tension,rsn);
    
    senal_filtrada=filtrar_senal_con_Wavelet(senal_ruidosa(1:256));
    
    %Dibujamos la seal de entrada y la seal filtrada
    figure(1);subplot(3,1,1);plot(tension(1:250));
    title('Seal original');
    subplot(3,1,2);plot(senal_ruidosa(1:250));
    title('Seal con ruido gaussiano')
    subplot(3,1,3);plot(senal_filtrada,'r');
    title('Seal filtrada con Wavelet')

    %FILTRADO DE LA SEAL MEDIANTE WAVELET...
    function senal_filtrada=filtrar_senal_con_Wavelet(senal_entrada)
        % Descomponemos la seal en 7 niveles con la familia y parmetros wavelet:
        w='haar';
        %w='db9'; 
        %w='db10';  
        %w='bior6.8'
        m=4;
        %for m=1:1
            [c,l] = wavedec(senal_entrada,m,w);
            %reconstruimos la seal con x niveles
            senal_filtrada_wavelet = wrcoef('a',c,l,w,m);
            %Dibujamos la seal de entrada superpuesta a la seal filtrada
            %figure();plot(senal_entrada);hold on;plot(senal_filtrada_wavelet,'r');
            senal_filtrada=senal_filtrada_wavelet;
            numSNR=snr(tension(1:256),senal_filtrada-tension(1:256))
        %end
    end

    function cargaDatos(nombreArchivo)
        tiempo=xlsread(nombreArchivo,1,'A2:A15002');
        tension=xlsread(nombreArchivo,1,'B2:B15002');
        %plot(tiempo,tension);
    end
end