function filtrado_pasoBajo()
    cargaDatos('CurvaECG.xlsx'); 
    
    %RUIDO GAUSSIANO
    %rsn=10*log10((1/0.1)^2); 
    %rsn=10*log10((1/0.2)^2);
    %rsn=10*log10((1/0.3)^2);
    %tension=awgn(tension,rsn);
    
    %RUIDO SENOIDAL
    frec=50;
    seno=calculo_frecuencia(frec);
    seno=seno';
    tensionR=seno+tension(1:250);
    
    senal_filtrada=filtrar_senal_con_filtros(tensionR(1:250));

    %FILTRADO DE LA SEAL MEDIANTE PASO BAJO...
    function senal_filtrada=filtrar_senal_con_filtros(senal_entrada)
        %Definimos los parmetros del filtro
        d = fdesign.lowpass('Fp,Fst,Ap,Ast',0.2, 0.4, 0.1, 80);
        %Diseamos el filtro paso bajo
        f = design(d, 'butter');
        %Filtramos con la seal de entrada
        output1=filter(f,senal_entrada);
       
        %Dibujamos la seal de entrada y la seal filtrada
        figure(1);subplot(3,1,1);plot(tension(1:250));
        title('Seal original');
        subplot(3,1,2);plot(senal_entrada);
        title('Seal con ruido senoidal de 50 Hz')
        subplot(3,1,3);plot(output1,'r');
        title('Seal filtrada con filtro paso bajo')
        senal_filtrada=output1;
    end

    %CLCULO DE LA FRECUENCIA
    function seno=calculo_frecuencia(fmax)
        l=0:0.1:24.9;
        seno=sin(2*pi*fmax*l*0.04);
    end

    function cargaDatos(nombreArchivo)
        tiempo=xlsread(nombreArchivo,1,'A2:A15002');
        tension=xlsread(nombreArchivo,1,'B2:B15002');
        %plot(tiempo,tension);
    end
end